PHP Manual
Prev |  | Next

# ftp_fput

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

ftp_fput -- Uploads from an open file to the FTP server

## Description

bool ftp_fput ( resource ftp_stream, string remote_file, resource handle, int mode [, int startpos] )

ftp_fput() uploads the data from a file pointer to a remote file on the FTP server.

## Parameters

ftp_stream

  The link identifier of the FTP connection.

remote_file

  The remote file path.

handle

  An open file pointer on the local file. Reading stops at end of file.

mode

  The transfer mode. Must be either `FTP_ASCII` or `FTP_BINARY`.

startpos

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. ftp_fput() example
`<?php // open some file for reading $file = 'somefile.txt'; $fp = fopen($file, 'r'); // set up basic connection $conn_id = ftp_connect($ftp_server); // login with username and password $login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass); // try to upload $file if (ftp_fput($conn_id, $file, $fp, FTP_ASCII)) { echo "Successfully uploaded $file\n"; } else { echo "There was a problem while uploading $file\n"; } // close the connection and the file handler ftp_close($conn_id); fclose($fp); ?>`

## ChangeLog

Version | Description
--- | ---
4.3.0 | startpos was added.

## See Also

ftp_put()
ftp_nb_fput()
ftp_nb_put()

Prev | Home | Next
ftp_fget | Up | ftp_get_option